__doc__ = 'DOM implementation agnostic attribute manipulation functions'
from dom_reader_writer import EMPTY_NAMESPACE

def getNodeAttr(node,attr,ns=EMPTY_NAMESPACE):
    value = node.attributes[(ns,attr)].value
    return value
def setNodeAttr(node,attr,value,ns=EMPTY_NAMESPACE):
    node.attributes[(ns,attr)].value = value

def createNodeAttr(node,attr,value,ns=EMPTY_NAMESPACE):
    node.setAttributeNS( ns, attr, value) 

def removeNodeAttr(node,attr,ns=EMPTY_NAMESPACE):
    node.removeAttributeNS( ns, attr) 

def setCreateNodeAttr(node,attr,value,ns=EMPTY_NAMESPACE):
    'Sets a node attr or create it if there is none'
    try: setNodeAttr(node,attr,value)
    except KeyError,e:
        createNodeAttr(node,attr,value)
