from xml.sax.saxutils import escape,unescape as sgmlunescape
def unescape(text):
    return sgmlunescape(text)

from htmlentitydefs import entitydefs,name2codepoint
import re,string
re_ent =  re.compile(r'&.+?;')

def _htmlent_replace(match):
    ent = match.group()
    try:
        return unichr(name2codepoint[ent[1:-1]])
    except KeyError,e:
        return ent

def _xmlcharref(match):
    ent = match.group(2)
    # Todo: handle hex strings (x123, 0x123)
    try: return unichr(int(ent))
    except ValueError,e:
        return ent

re_ent =  re.compile(r'&.+?;')
def unescapeHtmlEnt(text):
    return re_ent.sub(_htmlent_replace,text)

re_charref =  re.compile(r'(&#)(.+?);')
def unescapeCharRefEnt(text):
    return re_charref.sub(_xmlcharref,text)

