import urllib,webbrowser

class WebDict(object):
    def __init__(self,url=None,encoding='utf-8'):
        self.post_url = url
        self.encoding = encoding
        self.first = True

    def setUrl(self,url,name=None,encoding=None):
        self.post_url = url
        self.name = name
        if encoding:
            self.encoding = encoding

    def lookup(self,term,newwin=False):
        assert self.post_url, 'No posting URL set'
        term = urllib.quote_plus(term.encode(self.encoding)) 
        url = self.post_url%term
        webbrowser.open(url,newwin)
        self.first = False
