# setup.py
from distutils.core import setup
import py2exe
##import Ft.Lib.DistExt.Py2Exe
import glob

opts = {
    "py2exe": {
        "packages": ["encodings","transolution.EaseXML.parsers"],
        "includes": "pango,atk,gobject",
        "excludes": ["Tkconstants","Tkinter","tcl"],
##        "dll_excludes": [
##        "iconv.dll","intl.dll","libatk-1.0-0.dll",
##        "libgdk_pixbuf-2.0-0.dll","libgdk-win32-2.0-0.dll",
##        "libglib-2.0-0.dll","libgmodule-2.0-0.dll",
##        "libgobject-2.0-0.dll","libgthread-2.0-0.dll",
##        "libgtk-win32-2.0-0.dll","libpango-1.0-0.dll",
##        "libpangowin32-1.0-0.dll"],
        }
    }

setup(
    name = "Transolution",
    description = "An Open Source Translation Suite.",
##    version = "pre Alpha",
##    windows = [
    console = [
        {"script": "xliffeditor.py",
        "icon_resources": [(1, "transolution.ico")]
        },
        {"script": "tm.py",
##        "icon_resources": [(1, "jajouka.ico")]
        },
        {"script": "xliff2sgml.py",
##        "icon_resources": [(1, "jajouka.ico")]
        },
        {"script": "sgml2xliff.py",
##        "icon_resources": [(1, "jajouka.ico")]
        },
        {"script": "xliff2tmx.py",
##        "icon_resources": [(1, "jajouka.ico")]
        }
    ],
    options=opts,
    data_files=[("images", glob.glob("transolution/xliffeditor/images/*.png")),
                ("glade", glob.glob("transolution/xliffeditor/glade/*")),
                ("langs", glob.glob("transolution/langs/*")),
                ("po", glob.glob("transolution/xliffeditor/po/*")),
                ("filter_settings", glob.glob("transolution/filters/filter_settings/*"))
    ],
)